Up

# NSPrinter

### Authors

Generated by root

> Class representing a printer's or printer model's capabilities.

Copyright: (C) 1996, 1997 Free Software Foundation, Inc.

# Software documentation for the NSPrinter class

## NSPrinter : NSObject

> Declared in:
>   AppKit/NSPrinter.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +printerNames
- +printerTypes
- +printerWithName:
- +printerWithType:
- -acceptsBinary
- -booleanForKey:inTable:
- -deviceDescription
- -encodeWithCoder:
- -floatForKey:inTable:
- -host
- -imageRectForPaper:
- -initWithCoder:
- -intForKey:inTable:
- -isColor
- -isFontAvailable:
- -isKey:inTable:
- -isOutputStackInReverseOrder
- -languageLevel
- -name
- -note
- -pageSizeForPaper:
- -rectForKey:inTable:
- -sizeForKey:inTable:
- -statusForTable:
- -stringForKey:inTable:
- -stringListForKey:inTable:
- -type

### printerNames

+ (NSArray*) printerNames;

Description forthcoming.

### printerTypes

+ (NSArray*) printerTypes;

Description forthcoming.

### printerWithName:

+ (NSPrinter*) printerWithName: (NSString*)name;

Description forthcoming.

### printerWithType:

+ (NSPrinter*) printerWithType: (NSString*)type;

Description forthcoming.

### acceptsBinary

- (BOOL) acceptsBinary;

Description forthcoming.

### booleanForKey:inTable:

- (BOOL) booleanForKey: (NSString*)key inTable: (NSString*)table;

Description forthcoming.

### deviceDescription

- (NSDictionary*) deviceDescription;

Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;

Description forthcoming.

### floatForKey:inTable:

- (float) floatForKey: (NSString*)key inTable: (NSString*)table;

Description forthcoming.

### host

- (NSString*) host;

Description forthcoming.

### imageRectForPaper:

- (NSRect) imageRectForPaper: (NSString*)paperName;

Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;

Description forthcoming.

### intForKey:inTable:

- (int) intForKey: (NSString*)key inTable: (NSString*)table;

Description forthcoming.

### isColor

- (BOOL) isColor;

Description forthcoming.

### isFontAvailable:

- (BOOL) isFontAvailable: (NSString*)fontName;

Description forthcoming.

### isKey:inTable:

- (BOOL) isKey: (NSString*)key inTable: (NSString*)table;

Description forthcoming.

### isOutputStackInReverseOrder

- (BOOL) isOutputStackInReverseOrder;

Description forthcoming.

### languageLevel

- (int) languageLevel;

Description forthcoming.

### name

- (NSString*) name;

Description forthcoming.

### note

- (NSString*) note;

Description forthcoming.

### pageSizeForPaper:

- (NSSize) pageSizeForPaper: (NSString*)paperName;

Description forthcoming.

### rectForKey:inTable:

- (NSRect) rectForKey: (NSString*)key inTable: (NSString*)table;

Description forthcoming.

### sizeForKey:inTable:

- (NSSize) sizeForKey: (NSString*)key inTable: (NSString*)table;

Description forthcoming.

### statusForTable:

- (NSPrinterTableStatus) statusForTable: (NSString*)table;

Description forthcoming.

### stringForKey:inTable:

- (NSString*) stringForKey: (NSString*)key inTable: (NSString*)table;

Description forthcoming.

### stringListForKey:inTable:

- (NSArray*) stringListForKey: (NSString*)key inTable: (NSString*)table;

Description forthcoming.

### type

- (NSString*) type;

Description forthcoming.

Up